Subject: [bug#75518] Savannah mirroring and force-push

From: Ludovic Courtès <[email-masked]>
Date: Mon, 02 Jun 2025 17:12:16 +0200

Hello,

Rutherther <[email-masked]> writes:

> Looking into it, I remembered podiki said they rebased mesa-updates:
> https://codeberg.org/guix/guix/commits/branch/mesa-updates, last commit
> is 6e9de, committed yesterday.
>
> At savannah, last commit is 6c210:
> https://cgit.git.savannah.gnu.org/cgit/guix.git/commit/?h=mesa-updates&id=6c210c6ac61499ebf2f3b3b4ca2607b50418d699,
> almost month old.
>
> I think this is caused by the rebase and by the bot being unable to
> remove and push the branch.

I confirmed from <https://codeberg.org/guix/guix/settings> that
mirroring some of the branches (gnome-team, kernel-updates, mesa-update,
etc.) was rejected due to updates being “non-fast forward”.

I filed an support request at Savannah:

  https://savannah.nongnu.org/support/?111250

Thanks,
Ludo’.